package ru.yandex.webmaster3.storage.user.notification;

import org.jetbrains.annotations.NotNull;

import java.util.Set;

/**
 * @author avhaliullin
 */
public class UserEmailSettings {
    private final UserSetEmailInfo emailInfo;
    private final Set<String> verifiedEmails;

    public UserEmailSettings(@NotNull UserSetEmailInfo emailInfo, @NotNull Set<String> verifiedEmails) {
        this.emailInfo = emailInfo;
        this.verifiedEmails = verifiedEmails;
    }

    public UserSetEmailInfo getEmailInfo() {
        return emailInfo;
    }

    public Set<String> getVerifiedEmails() {
        return verifiedEmails;
    }
}
